Updates the territory with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "718362eb-e2a6-4eb4-aec0-82fb182cc770",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "3e98a753-db85-4e06-9eb0-6a470c7e12d8",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "99f60b1c-b8ef-406d-96a5-d4b3469dbec1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "1cd83203-28a1-47d2-a445-04038a18ac22",
    "db_currency_id": "670c49d7-1d4a-41e0-b9bf-44c6ed6ec0fb",
    "db_language_id": "79a7f342-9df2-4e8a-b814-72e4afce063a",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-12T19:24:37.3973675+00:00"
  },
  "modified_dateutc": "2026-11-12T19:24:37.3973675+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.